Bug 19101 - consider allowing nested enum definitions
Summary: consider allowing nested enum definitions
Status: RESOLVED WONTFIX
Alias: None
Product: WebAppsWG
Classification: Unclassified
Component: WebIDL (show other bugs)
Version: unspecified
Hardware: All Windows 3.1
: P2 normal
Target Milestone: ---
Assignee: Cameron McCormack
QA Contact: public-webapps-bugzilla
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-28 01:35 UTC by Cameron McCormack
Modified: 2012-12-07 05:03 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cameron McCormack 2012-09-28 01:35:46 UTC
The Media Source Extensions spec is already assuming it can do this:

interface MediaSource {
  ...
  enum State { "closed", "open", "ended" };
  readonly attribute State readyState;
  ...
};

The question then is whether you should be allowed to refer to MediaSource::State from some other interface.
Comment 1 Anne 2012-11-29 14:51:47 UTC
What is the use case though? Enums can just as well be put in the global scope, they're not exposed anyway.
Comment 2 Cameron McCormack 2012-12-07 05:03:57 UTC
True that.  And it looks like they have moved the enum out of the interface now.